using CalledIt.DataAccess.Entities;

namespace CalledIt.Domain.Services;

public interface IPasswordService
{
    string HashPassword(UserEntity user, string password);
    bool VerifyHashedPassword(UserEntity user, string hashedPassword, string providedPassword);
}
